#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QMediaPlayer>
#include <QDir>;

QMediaPlayer static * bgm = new QMediaPlayer();
bool static mute;

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    m_translator.load(":/Langue/Resource/francais.qm");
    qApp->installTranslator(&m_translator);
    ui->setupUi(this);
    ui->lblValmus->setText("50");
    ui->lblValbruit->setText("50");
    bgm->setMedia(QUrl("qrc:/Sounds/Resource/Steamtown.mp3"));
    bgm->setVolume(50);
    bgm->play();
    mute=false;
    ui->sw_principal->setCurrentIndex(0);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_play_clicked()
{
    ui->sw_principal->setCurrentIndex(1);
}

void MainWindow::on_pushButton_creerPartie_clicked()
{
    ui->sw_principal->setCurrentIndex(2);
}

void MainWindow::on_btnDemarer_clicked()
{
    ui->sw_principal->setCurrentIndex(3);
}

void MainWindow::on_pushButton_rules_clicked()
{
    ui->sw_principal->setCurrentIndex(4);
}

void MainWindow::on_pushButton_option_clicked()
{
    ui->sw_principal->setCurrentIndex(5);
}

void MainWindow::on_pushButton_quit_clicked()
{
    QApplication::exit();
}

void MainWindow::on_btnBackMode_clicked()
{
     ui->sw_principal->setCurrentIndex(0);
}

void MainWindow::on_btnBackPartie_clicked()
{
    ui->sw_principal->setCurrentIndex(1);
}

void MainWindow::on_btnBackRegle_clicked()
{
    ui->sw_principal->setCurrentIndex(0);
}

void MainWindow::on_btnBackOptions_clicked()
{
    ui->sw_principal->setCurrentIndex(0);
}

void MainWindow::on_sdMusique_valueChanged(int value)
{
    ui->lblValmus->setNum(value);
    bgm->setVolume(value);
}

void MainWindow::on_sdBruitage_valueChanged(int value)
{
    ui->lblValbruit->setNum(value);
}

void MainWindow::on_pushButton_soundMenu_clicked()
{
    QString path = ":/Image/Resource/Speaker_Icon.png";
    QIcon *icone;
    if(mute){
        icone=new QIcon(":/Image/Resource/Speaker_Icon.png");
        ui->pushButton_soundMenu->setIcon(*icone);
        bgm->setMuted(false);
        mute=false;
    }
    else{
        icone=new QIcon(":/Image/Resource/Mute_Icon.png");
        bgm->setMuted(true);
        mute=true;
    }
    ui->pushButton_soundMenu->setIcon(*icone);
    ui->pushButton_soundJeu->setIcon(*icone);
    ui->pushButton_soundRegle->setIcon(*icone);
    ui->pushButton_soundOptions->setIcon(*icone);
    ui->pushButton_soundPartie1->setIcon(*icone);
    ui->pushButton_soundPartie2->setIcon(*icone);
}

void MainWindow::on_pushButton_soundPartie1_pressed()
{
    QString path = ":/Image/Resource/Speaker_Icon.png";
    QIcon *icone;
    if(mute){
        icone=new QIcon(":/Image/Resource/Speaker_Icon.png");
        ui->pushButton_soundMenu->setIcon(*icone);
        bgm->setMuted(false);
        mute=false;
    }
    else{
        icone=new QIcon(":/Image/Resource/Mute_Icon.png");
        bgm->setMuted(true);
        mute=true;
    }
    ui->pushButton_soundMenu->setIcon(*icone);
    ui->pushButton_soundJeu->setIcon(*icone);
    ui->pushButton_soundRegle->setIcon(*icone);
    ui->pushButton_soundOptions->setIcon(*icone);
    ui->pushButton_soundPartie1->setIcon(*icone);
    ui->pushButton_soundPartie2->setIcon(*icone);
}

void MainWindow::on_pushButton_soundPartie2_pressed()
{
    QString path = ":/Image/Resource/Speaker_Icon.png";
    QIcon *icone;
    if(mute){
        icone=new QIcon(":/Image/Resource/Speaker_Icon.png");
        ui->pushButton_soundMenu->setIcon(*icone);
        bgm->setMuted(false);
        mute=false;
    }
    else{
        icone=new QIcon(":/Image/Resource/Mute_Icon.png");
        bgm->setMuted(true);
        mute=true;
    }
    ui->pushButton_soundMenu->setIcon(*icone);
    ui->pushButton_soundJeu->setIcon(*icone);
    ui->pushButton_soundRegle->setIcon(*icone);
    ui->pushButton_soundOptions->setIcon(*icone);
    ui->pushButton_soundPartie1->setIcon(*icone);
    ui->pushButton_soundPartie2->setIcon(*icone);
}

void MainWindow::on_pushButton_soundJeu_pressed()
{
    QString path = ":/Image/Resource/Speaker_Icon.png";
    QIcon *icone;
    if(mute){
        icone=new QIcon(":/Image/Resource/Speaker_Icon.png");
        ui->pushButton_soundMenu->setIcon(*icone);
        bgm->setMuted(false);
        mute=false;
    }
    else{
        icone=new QIcon(":/Image/Resource/Mute_Icon.png");
        bgm->setMuted(true);
        mute=true;
    }
    ui->pushButton_soundMenu->setIcon(*icone);
    ui->pushButton_soundJeu->setIcon(*icone);
    ui->pushButton_soundRegle->setIcon(*icone);
    ui->pushButton_soundOptions->setIcon(*icone);
    ui->pushButton_soundPartie1->setIcon(*icone);
    ui->pushButton_soundPartie2->setIcon(*icone);
}

void MainWindow::on_pushButton_soundRegle_pressed()
{
    QString path = ":/Image/Resource/Speaker_Icon.png";
    QIcon *icone;
    if(mute){
        icone=new QIcon(":/Image/Resource/Speaker_Icon.png");
        ui->pushButton_soundMenu->setIcon(*icone);
        bgm->setMuted(false);
        mute=false;
    }
    else{
        icone=new QIcon(":/Image/Resource/Mute_Icon.png");
        bgm->setMuted(true);
        mute=true;
    }
    ui->pushButton_soundMenu->setIcon(*icone);
    ui->pushButton_soundJeu->setIcon(*icone);
    ui->pushButton_soundRegle->setIcon(*icone);
    ui->pushButton_soundOptions->setIcon(*icone);
    ui->pushButton_soundPartie1->setIcon(*icone);
    ui->pushButton_soundPartie2->setIcon(*icone);
}

void MainWindow::on_pushButton_soundOptions_pressed()
{
    QString path = ":/Image/Resource/Speaker_Icon.png";
    QIcon *icone;
    if(mute){
        icone=new QIcon(":/Image/Resource/Speaker_Icon.png");
        ui->pushButton_soundMenu->setIcon(*icone);
        bgm->setMuted(false);
        mute=false;
    }
    else{
        icone=new QIcon(":/Image/Resource/Mute_Icon.png");
        bgm->setMuted(true);
        mute=true;
    }
    ui->pushButton_soundMenu->setIcon(*icone);
    ui->pushButton_soundJeu->setIcon(*icone);
    ui->pushButton_soundRegle->setIcon(*icone);
    ui->pushButton_soundOptions->setIcon(*icone);
    ui->pushButton_soundPartie1->setIcon(*icone);
    ui->pushButton_soundPartie2->setIcon(*icone);
}

void MainWindow::on_cbbLangue_currentIndexChanged(const QString &arg1)
{
    qApp->removeTranslator(&m_translator);
    if(arg1=="English"){
        m_translator.load(":/Langue/Resource/english.qm");
        qApp->installTranslator(&m_translator);
        ui->retranslateUi(this);
    }
    else if(arg1=="Français"){
        m_translator.load(":/Langue/Resource/francais.qm");
        qApp->installTranslator(&m_translator);
        ui->retranslateUi(this);
    }
}
